import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { CardToolTipVis, CardToolTipVisProps } from '@graphpolaris/shared/lib/components/CardToolTipVis';

const metaCardToolTipVis: Meta<typeof CardToolTipVis> = {
  component: CardToolTipVis,
  title: 'Components/CardToolTipVis',
};

export default metaCardToolTipVis;
type Story = StoryObj<typeof CardToolTipVis>;

export const SchemaNode: Story = {
  render: (args) => {
    return (
      <div className="w-1/4 my-10 m-auto flex items-center justify-center">
        <CardToolTipVis {...args} />
      </div>
    );
  },
  args: {
    type: 'schema',
    typeOfSchema: 'node',
    name: 'Person',
    data: {
      born: 'int',
      name: 'string',
      description: 'string',
    },
    colorHeader: '#fb7b04',
    numberOfElements: 1000,
  },
};

export const SchemaRelationship: Story = {
  render: (args) => {
    return (
      <div className="w-1/4 my-10 m-auto flex items-center justify-center">
        <CardToolTipVis {...args} />
      </div>
    );
  },
  args: {
    type: 'schema',
    typeOfSchema: 'relationship',
    name: 'Directed',
    data: {
      born: 'int',
      name: 'string',
      description: 'string',
      imdb: 'string',
      imdbVotes: 'int',
    },
    colorHeader: '#0676C1',
    connectedTo: 'Person',
    numberOfElements: 231230,
    connectedFrom: 'Movie',
  },
};

export const PopUpVis: Story = {
  render: (args) => {
    return (
      <div className="w-1/4 my-10 m-auto flex items-center justify-center">
        <CardToolTipVis {...args} />
      </div>
    );
  },
  args: {
    name: 'Person',
    type: 'popupvis',
    data: {
      bio: 'From wikipedia was born in usa from a firefighter father',
      name: 'Charlotte Henry',
      born: {},
      imdbRank: 21213,
      imdbVotesddddddddddddddddddddd: 1213,
      poster: 'https://image.tmdb.org/t/p/w440_and_h660_face/kTKiREs37qd8GUlNI4Koiupwy6W.jpg',
      tmdbId: '94105',
      country: undefined,
      labels: ['Actor', 'Person', 'Human'],
    },
    colorHeader: '#B69AEf',
  },
};
